### Constructor

# Camel MimeFilterCanon new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_canon_new (
      guint32 flags
    )

#### Description [src]

Create a new filter to canonicalise an input stream.

#### Parameters

`flags`

  Type: `CamelMimeFilterCanonFlags`

  Bitwise flags defining the behaviour of the filter.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterCanon`.

The caller of the function takes ownership of the data, and is responsible for freeing it.